#ifndef __hal_NAME__
#define __hal_NAME__
#include <stdbool.h>
#include <stdint.h>
#include <string.h>
#include "sdk_common.h"
#include "SEGGER_RTT.h"
#include "usr_config.h"
#include "hal_ble_common.h"

void hal_setScanName(char *Scanname,uint8_t length);
void hal_setAdvName(char *advname,uint8_t length);
void hal_name_init(void);

#endif

